# Created by pyp2rpm-3.3.3
%global pypi_name validators

%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.28.3
Release:        %mkrel 1
Summary:        Python Data Validation for Humans™
Group:          Development/Python
License:        MIT
URL:            https://github.com/kvesteri/validators
Source0:        https://files.pythonhosted.org/packages/source/v/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3dist(flake8) >= 2.4.0
BuildRequires:  python3dist(isort) >= 4.2.2
BuildRequires:  python3dist(pytest) >= 2.2.3
%endif
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(myst-parser)
BuildRequires:  python3dist(furo)

%description
Python Data Validation for Humans™.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
Python Data Validation for Humans™.

%prep
%autosetup -n %{pypi_name}-%{version}


# Fix doc build
sed -i -e 's,sphinx.ext.pngmath,sphinx.ext.imgmath,' docs/conf.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files validators

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md
%doc html



%changelog
* Mon Jul 29 2024 papoteur <papoteur> 0.28.3-1.mga10
+ Revision: 2082885
- new version 0.20.0

* Mon Jan 29 2024 papoteur <papoteur> 0.20.0-2.mga10
+ Revision: 2035995
- rebuild for python 3.12

* Wed Sep 07 2022 neoclust <neoclust> 0.20.0-1.mga9
+ Revision: 1885381
- New version  0.20.0

* Tue Mar 29 2022 umeabot <umeabot> 0.18.2-4.mga9
+ Revision: 1832609
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 0.18.2-3.mga9
+ Revision: 1774790
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.18.2-2.mga9
+ Revision: 1732946
- Rebuild for python 3.9

* Thu Jun 17 2021 joequant <joequant> 0.18.2-1.mga9
+ Revision: 1731019
- update to 0.18.2

* Sat Mar 21 2020 wally <wally> 0.14.2-1.mga8
+ Revision: 1558584
- imported package python-validators

